#!/bin/sh

set -e -u

mkdir -vp "$AUTOPKGTEST_TMP"/guessit
cp -va guessit/test "$AUTOPKGTEST_TMP"/guessit
cd "$AUTOPKGTEST_TMP"/guessit
ln -vs /usr/lib/python3/dist-packages/guessit/* .
cd "$AUTOPKGTEST_TMP"

for py in $(py3versions -s); do
	echo "Running testsuite with $py:"
	$py -m pytest
done
